local HomingDigeon = CreateFrame("FRAME", "HomingDigeon")

local x1, x2, y1, y2 = WorldMap_GetPOITextureCoords(177)
local digSites = {}

local function ShowSites()
	
	for d,b in pairs(digSites) do
		d:Hide()
	end

	local storemap = GetCurrentMapAreaID()
   SetMapToCurrentZone()
   SetMapZoom(GetCurrentMapContinent())
   
				 local taxi_x = TaxiRouteMap:GetWidth()
				 local taxi_y = TaxiRouteMap:GetHeight()
				 local taxi_x_centre = taxi_x / 2
				 local world_x = WorldMapFrame:GetWidth()
				 local world_x_centre = world_x / 2

   for a=1,GetNumMapLandmarks() do
      local name, desc, tex, x, y = GetMapLandmarkInfo(a)
      if tex == 177 then
         local poiName = "WorldMapFramePOIdigsite"..a
         if not _G[poiName] then
            WorldMap_CreatePOI("digsite"..a)
         end
         
         local worldMapPOI = _G[poiName]
				 
				 digSites[worldMapPOI] = true;

				 worldMapPOI.description = name
				 worldMapPOI:SetScript("OnEnter", 
						function() 
							GameTooltip:SetOwner(worldMapPOI, "ANCHOR_RIGHT"); 
							GameTooltip:AddLine(name, "", 1.0, 1.0, 1.0)
							GameTooltip:Show()
						end)
					worldMapPOI:SetScript("OnLeave",
						function()
							GameTooltip:Hide()
						end)
         worldMapPOI:SetParent(TaxiFrame)
         _G[poiName.."Texture"]:SetTexCoord(x1, x2, y1, y2)
				 
				 tx = x * world_x 
         tx = taxi_x_centre + (tx - world_x_centre ) * (630/1000)
         ty = -y * TaxiRouteMap:GetHeight() 
				 
				 worldMapPOI:SetScale(1)
         worldMapPOI:SetPoint("CENTER", "TaxiRouteMap", "TOPLEFT", tx, ty)
         worldMapPOI:Show()
				 local min
				 local minode

         for i = 1,NumTaxiNodes() do
            local node = _G["TaxiButton"..i]
						node.x, node.y = TaxiNodePosition(node:GetID())
						local dx = math.abs(tx/taxi_x  - node.x)
						local dy = math.abs(math.abs(ty/taxi_y) - (1 - node.y))
						local dis = dx*dx + dy*dy
						if not min or dis < min then 
							min = dis 
							minode = node
						end						
         end
				if minode then
				 minode:SetNormalTexture(TaxiButtonTypes["DISTANT"].file)
			 end
				 --]]
      end
   end
   SetMapByID(storemap)
end

HomingDigeon:RegisterEvent("TAXIMAP_OPENED")
HomingDigeon:SetScript("OnEvent", ShowSites)
